Instant Settlement Payout
curl --request POST \
--url https://nini.monieswitch.com/settlement/instant/payout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://nini.monieswitch.com/settlement/instant/payout"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://nini.monieswitch.com/settlement/instant/payout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Transfer of NGN1,000.00 to SIMI MICHELLE (2394934324/PROVIDUS BANK)/999270250320162416510034558265",
"data": {
"status": "SUCCESS",
"amount": 1000,
"narration": "First testing to confirm if maker-checker is working",
"customerMetadata": {
"isInstantSettlement": true,
"isMerchantSettlement": true,
"settlementId": "3217fbaf-c4c0-4625-b73c-5cc97c2ccdc3"
},
"beneficiaryBankCode": "000023",
"beneficiaryAccountNumber": "2394934324",
"description": "₦1,000.00 instant settlement to SIMI MICHELLE",
"beneficiaryAccountName": "SIMI MICHELLE",
"charges": 10,
"totalAmount": 1010,
"beneficiaryBankName": "PROVIDUS BANK",
"originatorWalletId": "91c2f8a0-721d-4392-97fb-e9a72b1037c8",
"originatorAccountName": "Kimpembe",
"originatorAccountNumber": "4451453017",
"paidAt": "2025-03-20T16:24:15+01:00",
"transactionId": "0df67630-70d3-4c7b-90d2-ef51d35029be",
"reference": "zCuavRu4GpNVPhU9E1sKWY7Lbam1TAmikIbm",
"sessionId": "999270250320162416510034558265"
}
}Settlements
Instant Settlement Payout
POST
/
settlement
/
instant
/
payout
Instant Settlement Payout
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The body is of type object.
⌘I